Subject: [ippm] FW: I-D Action: draft-amf-ippm-route-01.txt

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Thu, 26 Oct 2017 22:57:33 +0000

IPPM,

We have updated the draft, to address the many comments
(Thanks again to Carlos, Rüdiger and Frank)
on the list and discussion among the co-authors.

We have marked open issues for discussion with "@@@@"
for easy searching.

A Summary of changes is below.

regards,
Ignacio, Joachim, and Al

Fairly Major conceptual change implemented:
==========================================================
In past, we referred to the h(i,j) as hosts, and sometimes as hops.
With the Interrogation protocols like IOAM, we need a simple way to
represent all the additional info:
https://tools.ietf.org/html/draft-ietf-ippm-ioam-data-00#section-4.1
when it is available.  Thus, the h(i,j) singleton is now an n-tuple with
mandatory Host Identity, and interface/timestamp info if available.
RTD could be included in the h(i,j) tuple, too, with Time as an 
additional index. 

One alternative was to represent everything a host can tell us 
without any hierarchy/consolidation, as:

[a(i,j), h(i,j), d(i,j), t(i,j), ... ]
arrive   host    depart  time    other

but our nice nomenclature for Route Ensemble becomes unmanageable. 

Many of Carlos' comments are addressed, but not all:
There's a Scope discussion to have on the list and at IETF-100.

ToDos from Rudiger's comments:

>>> 1. Incorporate Standards terms from RFC 2119
[ACM] worked this through Section 3 and much of Section 4.

>>> 2. Define the term Discoverable Host (RFC 1122 to start)
[ACM] Done, see below.
Depending on Scope discussion, we may need to go beyond IP
methods for all the terms we define. Included RFC 1812 reference,
more recent for routers.

>>> 3. For methodologies, make clear what parallelism
>>> can be detected (e.g., parallel hosts at same hop) and what
>>> parallelism cannot (e.g., parallel links).
[ACM] We've provided definitions for 4 terms:
  - Host Identity (IP address it uses as Source)
  - Discoverable Host (strongly anchored to RFC 1122 for now)
  - Cooperating Host (which covers Carlos' points about direct interrogation,
    AND includes the possibility that a host will reveal link info, too)
  - Hop, includes Host Identity and any other info the Interrogation
    protocols, like IOAM, can provide.

Also provided four points on detecting parallel hosts/links
in the Discussion area of Section 3.

>>> 4. Distinguish methods by their coverage (single/multi-domain)
[ACM] Actually, it seems that the single domain methods are synonymous
with direct interrogation methods, for now.
MPLS techniques may fit this model, too.

>>> 4.5    “if this remains a standards track doc, the guidance on how 
        to code packets must be well defined. For the time being, a 
        reader has an impression what to do, and an expert may indeed do so.” 
[ACM] Improved wording and cited checksum calculation in RFC 7820.

>>> 5. More on how different methods can be combined
[ACM] New section 4.3 deals with this topic.

>>> 6. Security considerations of "changing fields to keep checksum
>>> constant"
>>> (not seen as an issue for active measurements), and in-situ OAM.
[ACM] Now Addressed in the Sec Considerations.

>>> 7. Several areas to discuss between the route metric and
>>> in-situ OAM teams, primarily impact on checksum after in-situ
>>> headers have been removed.
[ACM] Let's plan these breakout discussions...

-----Original Message-----
From: I-D-Announce [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, October 26, 2017 6:50 PM
To: [email-masked]
Subject: I-D Action: draft-amf-ippm-route-01.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Advanced Unidirectional Route Assessment
        Authors         : José Ignacio Alvarez-Hamelin
                          Al Morton
                          Joachim Fabini
	Filename        : draft-amf-ippm-route-01.txt
	Pages           : 22
	Date            : 2017-10-26

Abstract:
   This memo introduces an advanced unidirectional route assessment
   metric and associated measurement methodology, based on the IP
   Performance Metrics (IPPM) Framework RFC 2330.  This memo updates RFC
   2330 in the areas of path-related terminology and path description,
   primarily to include the possibility of parallel subpaths between a
   given Source and Destination pair, owing to the presence of multi-
   path technologies.

The IETF datatracker status page for this draft is:
https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Damf-2Dippm-2Droute_&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=LkBajryT9-6MiZXobwBRrMohwenxbBYgP407VWdhN6w&s=34G-kSJV8PzWtFR4ft3FBTGu16KFplWHl7QdtQZeOcg&e= 

There are also htmlized versions available at:
https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Damf-2Dippm-2Droute-2D01&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=LkBajryT9-6MiZXobwBRrMohwenxbBYgP407VWdhN6w&s=8oD-Pnd2h24JuIB7WH8DyHaaCDk_Rn6pOdSoQ3vk_uc&e= 
https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_html_draft-2Damf-2Dippm-2Droute-2D01&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=LkBajryT9-6MiZXobwBRrMohwenxbBYgP407VWdhN6w&s=nUguLLINgwaOiBS4-A8R6-_OH3kJ4ZwMCorSiLpW1aU&e= 

A diff from the previous version is available at:
https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcdiff-3Furl2-3Ddraft-2Damf-2Dippm-2Droute-2D01&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=LkBajryT9-6MiZXobwBRrMohwenxbBYgP407VWdhN6w&s=bes5G047AkoZLRSWlsVGuoSCNIbYSw-Ru93y_EsjEwI&e= 

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_internet-2Ddrafts_&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=LkBajryT9-6MiZXobwBRrMohwenxbBYgP407VWdhN6w&s=OESOiGC-p7R3ZoV-hUCHirNKHuWJ49uBWNqxm_RqGAs&e= 

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_i-2Dd-2Dannounce&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=LkBajryT9-6MiZXobwBRrMohwenxbBYgP407VWdhN6w&s=I7NMlcBHg1EiNtSJJGoXY_VO45v53SFiCdnA917vZfI&e= 
Internet-Draft directories: https://urldefense.proofpoint.com/v2/url?u=http-3A__www.ietf.org_shadow.html&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=LkBajryT9-6MiZXobwBRrMohwenxbBYgP407VWdhN6w&s=L7U5zU85XKKBvDTk148Fll-x1bKzWcAHgENZsM1yh7o&e= 
or https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_ietf_1shadow-2Dsites.txt&d=DwIGaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=OfsSu8kTIltVyD1oL72cBw&m=LkBajryT9-6MiZXobwBRrMohwenxbBYgP407VWdhN6w&s=yR_EJOwS7yMBnMJgK5j67a2VNHdrDXBp3u7cbCBczEI&e=